[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImageListCache' (#lcl)

# TImageCacheItems.GetNew

Allocates and stores a new image list reference in the container.

## Declaration

Source position: imagelistcache.pas line 54

`public function TImageCacheItems.GetNew: PImageCacheItem;`

## Function result

Reference for an image list stored in the container.

## Description

GetNew is a PImageCacheItem function used to allocate and store a new reference to an image list in the container. GetNew calls New to allocate the storage needed for the return value. The Add method is called to append the reference to the storage for the container.

## See also

TList.Add